# PhasicFlow: vtkFile Class Reference

vtkFile Class Reference
Collaboration diagram for vtkFile:
[legend]

## Public Member Functions

| vtkFile (const fileSystem dir, const word &bName, real time)
virtual | ~vtkFile ()=default
oFstream & | operator() ()
| operator bool () const
bool | operator! () const
virtual fileSystem | fileName () const

## Protected Member Functions

bool | openStream ()
virtual bool | writeHeader ()

## Protected Attributes

fileSystem | dirPath_
word | baseName_
real | time_ = 0.0
uniquePtr< oFstream > | oStream_ = nullptr

## Detailed Description

Definition at line 33 of file vtkFile.hpp.

## Constructor & Destructor Documentation

## vtkFile()

vtkFile | ( | const fileSystem | dir,
|  | const word & | bName,
|  | real | time
| ) |  |

Definition at line 49 of file vtkFile.cpp.

References pFlow::endl(), fatalErrorInFunction, and fatalExit.

Here is the call graph for this function:

## ~vtkFile()

virtual ~vtkFile | ( |  | ) |

virtualdefault

## Member Function Documentation

## openStream()

bool openStream | ( |  | ) |

protected

Definition at line 24 of file vtkFile.cpp.

References vtkFile::fileName(), vtkFile::oStream_, and vtkFile::writeHeader().

Referenced by vtkFile::operator()().

Here is the call graph for this function:
Here is the caller graph for this function:

## writeHeader()

virtual bool writeHeader | ( |  | ) |

protectedvirtual

Referenced by vtkFile::openStream().

Here is the caller graph for this function:

## operator()()

oFstream& operator() | ( |  | ) |

inline

Definition at line 55 of file vtkFile.hpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, vtkFile::fileName(), vtkFile::openStream(), and vtkFile::oStream_.

Here is the call graph for this function:

## operator bool()

operator bool | ( |  | ) | const

inlineexplicit

Definition at line 69 of file vtkFile.hpp.

References vtkFile::oStream_.

## operator!()

bool operator! | ( |  | ) | const

inline

Definition at line 76 of file vtkFile.hpp.

References vtkFile::oStream_.

## fileName()

pFlow::fileSystem fileName | ( |  | ) | const

virtual

Definition at line 70 of file vtkFile.cpp.

References pFlow::int322Word().

Referenced by pFlow::TSFtoVTK::convertTimeFolderTriSurfaceFields(), vtkFile::openStream(), and vtkFile::operator()().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## dirPath_

fileSystem dirPath_

protected

Definition at line 37 of file vtkFile.hpp.

## baseName_

word baseName_

protected

Definition at line 39 of file vtkFile.hpp.

## time_

real time_ = 0.0

protected

Definition at line 41 of file vtkFile.hpp.

## oStream_

uniquePtr<oFstream> oStream_ = nullptr

protected

Definition at line 43 of file vtkFile.hpp.

Referenced by vtkFile::openStream(), vtkFile::operator bool(), vtkFile::operator!(), and vtkFile::operator()().

The documentation for this class was generated from the following files:

- utilities/Utilities/vtkFile/vtkFile.hpp
- utilities/Utilities/vtkFile/vtkFile.cpp